export function validateBody(validator: Validator): MiddlewareHandler;
export function validateParams(validator: Function): MiddlewareHandler;
export function validateQuery(validator: Function): MiddlewareHandler;
export type Request = import('express').Request;
export type Response = import('./custom-response.middleware.mjs').Response;
export type NextFunction = import('express').NextFunction;
export type Validator = <T>(schema: import("zod").ZodObject<T, import("zod").UnknownKeysParam, import("zod").ZodTypeAny, import("zod").objectUtil.addQuestionMarks<import("zod").baseObjectOutputType<T>, (import("zod").baseObjectOutputType<T> extends infer T_3 extends object ? { [k_1 in keyof T_3]: undefined extends import("zod").baseObjectOutputType<T>[k_1] ? never : k_1; } : never)[keyof T]> extends infer T_1 ? { [k in keyof T_1]: import("zod").objectUtil.addQuestionMarks<import("zod").baseObjectOutputType<T>, (import("zod").baseObjectOutputType<T> extends infer T_2 extends object ? { [k_1 in keyof T_2]: undefined extends import("zod").baseObjectOutputType<T>[k_1] ? never : k_1; } : never)[keyof T]>[k]; } : never, import("zod").baseObjectInputType<T> extends infer T_4 ? { [k_2 in keyof T_4]: import("zod").baseObjectInputType<T>[k_2]; } : never>) => (maybeValid: unknown) => T;
export type MiddlewareHandler = (req: import('express').Request, res: import('../middlewares/custom-response.middleware.mjs').Response, next: import('express').NextFunction) => void;
