/**
 * @typedef {import('zod').ZodError} ZodError
 * @typedef {ZodError["errors"]} Issues
 */
export class ValidatorError extends Error {
    /**
     * @param {Issues} errors
     */
    constructor(errors: import("zod").ZodIssue[]);
    errors: import("zod").ZodIssue[];
    get message(): import("zod").ZodIssue[];
    get name(): string;
}
export type ZodError = import('zod').ZodError;
export type Issues = ZodError["errors"];
